## Apache Zeta Components Manual :: Docs For Class ezcMvcResultFilter

### MvcTools::ezcMvcResultFilter

### Interface ezcMvcResultFilter

A result filter is responsible for altering the result object.

Source for this file: /MvcTools/src/interfaces/result_filter.php

Version: | //autogentag//

### Method Summary

public void | `filterResult( $result )` Alters the result object.
public void | `setOptions( $options )` Sets options on the filter object

### Methods

#### filterResult

void filterResult( ezcMvcResult $result )

Alters the result object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$result` | ezcMvcResult | Result object to alter.

#### setOptions

void setOptions( $options )

Sets options on the filter object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcMvcFilterHasNoOptionsException` | if the filter does not support options.

Documentation generated by phpDocumentor 1.4.3